These steps aren't needed unless you want to host your server somewhere other than the same device, so either on a seperate server/computer.

Prerequisites:
- [apktool](https://apktool.org/)
- [libhonoka](https://github.com/DarkEnergyProcessor/libhonoka/releases/)
- [zipalign](https://developer.android.com/tools/zipalign) (part of the android sdk)
- [apksigner](https://developer.android.com/tools/apksigner) (part of the android sdk)
- A keystore. For your convinience you can download [this keystore](https://codeberg.org/arina999999997/nozomi/raw/branch/master/sifkey.keystore) with the password `123456`.

1. Download the [modified lovelive sif apk](https://cdn.sif.moe/lovelive-community.apk) ([jp](https://pixeldrain.com/u/8vx6azHr))
2. Run `apktool d lovelive-community.apk` to decompile the apk.
3. Unzip `config/server_info.json` from `assets/AppAssets.zip`.
4. Use libhonoka to decrypt `server_info.json`. (`honoka2 server_info.json`)
5. Edit the json file to point to your server.
6. Re-encrypt the json file by running `honoka2 -e -j server_info.json`.
7. Replace the `assets/AppAssets.zip/config/server_info.json` file with the new one you patched.
8. Get the md5sum of `AppAssets.zip` and replace `assets/version` with the new md5sum.
9. Run `apktool b lovelive-community` to re-build the apk.
10. Run `zipalign -f 4 lovelive-community/dist/<apk name> LLSIF_patched.apk`.
11. Sign the apk by running `apksigner sign -ks sifkey.keystore LLSIF_patched.apk`.

Assuming you did it correctly, your newly signed apk is ready to install and run.
